ata_scsi_simulate
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_simulate — simulate SCSI command on ATA device

## Synopsis

`void ata_scsi_simulate (` | struct ata_device * | dev,
| struct scsi_cmnd * | cmd,
| void (* | done`(`struct scsi_cmnd *`)``)`;

## Arguments

`dev`

  the target device

`cmd`

  SCSI command being sent to device.

`done`

  SCSI command completion function.

## Description

Interprets and directly executes a select list of SCSI commands that can be handled internally.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_scsi_queuecmd | Home | ata_sas_port_alloc